curl --request GET \
--url https://api.cloudglue.dev/v1/extract \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/extract"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"job_id": "<string>",
"status": "pending",
"url": "<string>",
"created_at": 123,
"extract_config": {
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": true,
"enable_segment_level_entities": true,
"enable_transcript_mode": true,
"enable_metadata_mode": true
},
"segmentation_id": "<string>",
"data": {
"entities": {},
"segment_entities": [
{
"start_time": 123,
"end_time": 123,
"entities": {},
"thumbnail_url": "<string>"
}
],
"thumbnail_url": "<string>"
},
"total": 123,
"limit": 123,
"offset": 123,
"error": "<string>",
"chapters": [
{
"index": 1,
"start_time": 1,
"end_time": 1,
"description": "<string>"
}
],
"shots": [
{
"index": 1,
"start_time": 1,
"end_time": 1
}
],
"total_chapters": 1,
"total_shots": 1
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}List Extraction Jobs
List all extract jobs with optional filtering
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of extract jobs to return
x <= 100Number of extract jobs to skip
Filter extract jobs by status
pending, processing, completed, failed, not_applicable Filter extract jobs created before a specific date (YYYY-MM-DD format), in UTC timezone
Filter extract jobs created after a specific date (YYYY-MM-DD format), in UTC timezone
Filter extract jobs by the input URL used for extraction
Include the data in the response. If false, the response will only include the job information and not the data to minimize the response size.
Response
A list of extract jobs
Object type, always 'list'
list Array of extract job objects
Show child attributes
Show child attributes
Total number of extract jobs matching the query
Number of items returned in this response
Offset from the start of the list